#include <bits/stdc++.h>
using namespace std;

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	
	long long n;
	cin >> n;
	long long l;
	cin >> l;
	long long a[n];
	for(int i = 0; i < n; i++){
		cin >> a[i];
		if(l >= a[i]){
			cout << i+1;
			return 0;
		}
	}
	
	cout << "-1";
	



return 0;
}